Page MenuHomePhabricator

pyoxidizer: support code signing
ClosedPublic

Authored by indygreg on May 6 2021, 8:00 PM.

Details

Summary

Newer versions of PyOxidizer feature built-in support for
code signing. You simply declare a code signer in the Starlark
configuration file, activate it for automatic signing, and
PyOxidizer will add code signatures to signable files as it
encounters them.

This commit teaches our Starlark configuration file to enable
automatic code signing. But only on Windows for the moment, as our
immediate goal is to overhaul the Windows packaging.

The feature is opt-in: you must pass variables to PyOxidizer's
build context via pyoxidizer build --var or
pyoxidizer build --var-env to activate code signing.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

indygreg created this revision.May 6 2021, 8:00 PM
baymax updated this revision to Diff 27755.May 7 2021, 11:30 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27792.May 10 2021, 11:38 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

mharbison72 accepted this revision.May 10 2021, 11:46 PM
This revision is now accepted and ready to land.May 10 2021, 11:46 PM
This revision was automatically updated to reflect the committed changes.